function skill081()

p = flag.GetBattleValue(33032)

if battle.CheckPlayerStat(2,722)==1 then
    player.RemoveStat(0,2,722)
    player.RemoveStat(1,0,11)
    player.AddStat(1,0,100,43,999)
	if p==2 then	
	for wid=1,9,1 do
    if battle.CheckPlayerPlace(wid)==1 then
	   pid=battle.GetPlacePlayerID(wid)
   	   player.ChangeDP(0,pid,5)
	   player.CreateSE(pid,3911)
	end
	end
	end
	
else

if battle.CheckPlayerStat(2,11)==1 then
    player.RemoveStat(0,2,11)
    player.AddStat(0,2,100,43,999)
	if p==2 then
    player.ChangeDP(0,2,5)
    player.CreateSE(2,3911)
	end
end

if battle.CheckPlayerStat(2,13)==1 then
    player.AddStat(0,2,100,37,2)
end

if flag.GetValue(33034)==2 then

for wid=1,9,1 do

if battle.CheckPlayerPlace(wid)==1  then
	   pid=battle.GetPlacePlayerID(wid)
	   if pid==1 and player.GetHP(pid,1)<40 and player.GetMP(2,1)>=10 then
	   player.AddStat(0,1,100,37,2)
	   player.ChangeDP(0,1,5)
       player.CreateSE(1,3911)
	   player.ChangeMP(1,1,2,-player.GetMP(2,1)/2)
	   player.RemoveStat(0,2,43)
       player.AddStat(0,2,100,43,6)
	   end
end

end

end


end

end